require 'minitest/autorun'
require 'osc/reservations'

class TestBatch < Minitest::Test
  def setup
    @batch = OSC::Reservations::Batch.new 'a.b.c', a: 'A', b: 2, 'q?' => true
  end

  def test_server
    assert_respond_to @batch, :server
    assert_equal 'a.b.c', @batch.server
  end

  def test_context
    assert_respond_to @batch, :a
    assert_equal 'A', @batch.a
    assert_respond_to @batch, :b
    assert_equal 2, @batch.b
    refute_respond_to @batch, :c
    assert_respond_to @batch, :'q?'
    assert @batch.q?
  end
end
