require 'minitest/autorun'
require 'osc/reservations'

class TestReservation < Minitest::Test
  def test_reservation
    rsv = OSC::Reservations::Reservation.new({})
    assert_respond_to rsv, :id
    assert_respond_to rsv, :starttime
    assert_respond_to rsv, :endtime
    assert_respond_to rsv, :nodes
    assert_respond_to rsv, :auser
    assert_respond_to rsv, :users
  end

  def test_free_nodes
    node1 = Minitest::Mock.new
    node1.expect(:'free?', false)
    node2 = Minitest::Mock.new
    node2.expect(:'free?', true)
    rsv = OSC::Reservations::Reservation.new({nodes: [node1, node2]})
    assert_equal [node2], rsv.free_nodes
    node1.verify
    node2.verify
  end

  def test_started?
    rsv = OSC::Reservations::Reservation.new(starttime: Time.now - 60)
    assert rsv.started?

    rsv = OSC::Reservations::Reservation.new(starttime: Time.now + 60)
    refute rsv.started?
  end
end
