require 'minitest/autorun'
require 'osc/reservations'

class TestReservations < Minitest::Test
  def test_reservations
    assert_respond_to OSC::Reservations, :batch_config_path
    assert_respond_to OSC::Reservations, :batch_config_path=
    assert_respond_to OSC::Reservations, :batch_config
  end

  def test_batch_config_path
    assert File.exist?(OSC::Reservations.batch_config_path)
    OSC::Reservations.batch_config_path = "/path/to/config.yml"
    assert_equal "/path/to/config.yml", OSC::Reservations.batch_config_path
  end

  def test_batch_config
    hash = {
      'batch1' => {
        'adapter' => 'FakeAdapter',
        'server' => 'batch1.domain.com',
        'extra1' => 'EXTRA1'
      }
    }
    OSC::Reservations.batch_config_path = "test/files/batch.yml"
    assert_equal hash, OSC::Reservations.batch_config
  end
end
